Bug 1259160 - [RFE] SNMP support for RHCS cluster components
[RFE] SNMP support for RHCS cluster components
Status: NEW
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Distribution (Show other bugs)
1.3.0
All Linux
medium Severity medium
: rc
: 3.1
Assigned To: John Spray
ceph-qe-bugs
: FutureFeature, Triaged
Depends On: 1523244
Blocks: 1258382
  Show dependency treegraph
 
Reported: 2015-09-02 02:36 EDT by Vimal Kumar
Modified: 2017-12-07 09:11 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vimal Kumar 2015-09-02 02:36:02 EDT
1) Description of problem:

This is a feature request to enable SNMP support for Ceph clusters. Either this has to be done for each components separately, ie.. for MONs, OSDs etc.., else this can be enabled for the Calamari host so that all the information the Calamari server has is available to the SNMP monitoring system.

2) Version-Release number of selected component (if applicable):

RHCS1.3

3) Additional info:

This will need one or more MIBs to be created, for the Ceph components so that SNMP can use them to monitor the services/nodes.
Comment 6 Edu Alcaniz 2016-09-16 02:46:13 EDT
Hi, could you update the status of the BZ please
Comment 7 Edu Alcaniz 2017-01-25 07:18:44 EST
Hi, could you update the status of the BZ please
Comment 8 Edu Alcaniz 2017-05-08 04:24:28 EDT
Morning, Is it possible to get an update about this BZ please.
Comment 10 Ian Colle 2017-06-06 00:49:17 EDT
Is this a priority for 3.0?
Comment 11 Neil Levine 2017-06-06 01:13:45 EDT
Assuming the LoE is high, no.

PaulC had a suggestion on how to implement this on the collectd modules he is using in his dashboard however I think John needs to chat with him and agree our approach.
Comment 12 Harish NV Rao 2017-07-26 02:57:57 EDT
(In reply to Neil Levine from comment #11)
> Assuming the LoE is high, no.
> 
> PaulC had a suggestion on how to implement this on the collectd modules he
> is using in his dashboard however I think John needs to chat with him and
> agree our approach.

@Neil, Is this going to be supported in 3.0? If not, could you please move it out of 3.0?
Comment 13 Federico Lucifredi 2017-07-27 11:22:21 EDT
"patches accepted" if anyone in the Community is interested. 

No resources to develop or test this in 3.0. Moving to 3.1.

Note You need to log in before you can comment on or make changes to this bug.